/*************************************************************************************************************************
7. Create Covariate File  
**************************************************************************************************************************/

%let basename = C:/Public_Training_Materials/Lab;	

libname in "&basename./codes";
libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";
%let wpnum = wp001 ; 

data out.&wpnum._covariates;
	format studyname $50. covarnum 8. code $50. stockgroup $30. codecat $2. codetype $3. 
	       caresettingprincipal $30. covfrom 8. covto 8. keep 8. codedays 8. codesupply 8. excludesupply $1.;
	set in.covariates;

		if studyname = 'AMI' then covarnum=1;
		if studyname = 'Diabetes' then covarnum=2;
		if studyname = 'Heart failure' then covarnum=3;
		if studyname = 'Hypercholesterolemia' then covarnum=4;
		if studyname = 'Hypertension' then covarnum=5;
		if studyname = 'Kidney failure' then covarnum=6;
		if studyname = 'Depression' then covarnum=7;
		if studyname = 'Anxiety' then covarnum=8;
		if studyname = 'Bipolar' then covarnum=9;
		if studyname = 'Schizophrenia/psychotic' then covarnum=10;
		if studyname = 'Substance abuse' then covarnum=11;
		if studyname = 'Transient ischemic attack' then covarnum=12;

stockgroup = compress (studyname, ", './{};[]_-()%");
studyname = studyname;
codecat = codecat1; 
codetype = codetype1;
code = compress (code1, '.');
caresettingprincipal = " ";
covfrom = -183;
covto = -1;
keep = 0;
codedays = 1;
codesupply = .;
excludesupply = "";
drop codecat1 codetype1 code1; 
run;
